Page MenuHomePhabricator

elm_bg: rename elm_bg to Efl.Ui.Bg
ClosedPublic

Authored by taxi2se on Aug 29 2017, 7:33 PM.

Details

Summary

elm_bg was supposed to be used only in legacy,
but since we need a common object to be used as a background of widgets,
it is now renamed as efl_ui_bg and supports EO APIs.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
taxi2se created this revision.Aug 29 2017, 7:33 PM

This is infra needed to prototype Internal_Part.Bg

taxi2se updated this revision to Diff 12136.Aug 29 2017, 8:22 PM

Restore external feature.

cedric requested changes to this revision.Aug 30 2017, 11:24 AM

Please specify the purpose of this patch with a commit message :-)

This revision now requires changes to proceed.Aug 30 2017, 11:24 AM

This is an experimental test to find proper way to supprot background property which can be used commonly among all elementary widgets.
This should be checked with D5151.

Please refer to T5716

taxi2se updated this revision to Diff 12159.Sep 1 2017, 1:57 AM

Make test case for EO api only. move enum to legacy header.

taxi2se updated this revision to Diff 12162.Sep 3 2017, 9:46 PM

Add PO files and efl_gfx_color_set() test

taxi2se edited the summary of this revision. (Show Details)Sep 3 2017, 9:49 PM
taxi2se added reviewers: jpeg, woohyun.
jpeg requested changes to this revision.Sep 25 2017, 3:57 AM
/home/jpeg/e/core/efl/src/lib/elementary/efl_ui_bg.c:195:11: warning: enumeration value 'ELM_BG_OPTION_LAST' not handled in switch [-Wswitch]
  switch (option)
          ^
/home/jpeg/e/core/efl/src/lib/elementary/efl_ui_bg.c:220:11: warning: enumeration value 'EFL_UI_IMAGE_SCALE_TYPE_NONE' not handled in switch [-Wswitch]
  switch (sd->scale_type)
          ^
2 warnings generated.
This revision now requires changes to proceed.Sep 25 2017, 3:57 AM
taxi2se updated this revision to Diff 12356.Sep 25 2017, 5:31 AM

add doc and remove warning.

Closed by commit rEFLebff5e863985: elm_bg: rename elm_bg to Efl.Ui.Bg (authored by taxi2se, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhySep 26 2017, 2:19 AM
This revision was automatically updated to reflect the committed changes.